/* $Id: crires_recipe.h,v 1.6 2009/01/30 09:57:41 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2009/01/30 09:57:41 $
 * $Revision: 1.6 $
 * $Name: crire-2_1_1 $
 */

/* cpp macros that must be defined before inclusion:

   RECIPE_NAME:         e.g. crires_spec_jitter
   RECIPE_STRING:       e.g. "crires_spec_jitter"
   RECIPE_SYNOPSIS:     String with the recipe synopsis
   RECIPE_DESCRIPTION:  String with the recipe descrption
   Optionally:
   RECIPE_PARAMS:       Binary or of parameter enums

*/


#ifndef CRIRES_RECIPE_H
#define CRIRES_RECIPE_H

/*-----------------------------------------------------------------------------
                                Includes
 -----------------------------------------------------------------------------*/

#include <math.h>
#include <assert.h>
#include <float.h>
#include <string.h>

#include <cpl.h>

#include "irplib_plugin.h"
#include "irplib_plot.h"
#include "irplib_framelist.h"

#include "crires_parameter.h"
#include "crires_utils.h"
#include "crires_load.h"
#include "crires_pfits.h"
#include "crires_dfs.h"

/*-----------------------------------------------------------------------------
                                Defines
 -----------------------------------------------------------------------------*/

#define crires_pipe_id PACKAGE "/" PACKAGE_VERSION

#define CRIRES_RECIPE_DEFINE(RECIPE_NAME, RECIPE_PARAMS, SYNOPSIS, DESCRIPTION)\
    CPL_RECIPE_DEFINE(RECIPE_NAME, CRIRES_BINARY_VERSION,                      \
    crires_parameter_set(recipe->parameters, #RECIPE_NAME, RECIPE_PARAMS),     \
    "Yves Jung", PACKAGE_BUGREPORT, "2002, 2003, 2005, 2008", SYNOPSIS,        \
    DESCRIPTION)

#endif
